<mat-form-field class="filter">
    <mat-label>Filtrar</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="" #input>
  </mat-form-field>

  <table  #table mat-table [dataSource]="dataSource" class="mat-elevation-z8" class="table">
    <caption></caption>
    <ng-container *ngFor="let value of displayedColumns;">
        <ng-container matColumnDef="{{value}}">
            <th mat-header-cell *matHeaderCellDef id=""> {{headers[value]}} </th>
            <ng-container *ngIf="value === 'actions' ">
              <td mat-cell *matCellDef="let element"> 
                <button class="action-btn" (click)="emitCurrentObject(element[value])"><mat-icon>search</mat-icon></button>
              </td>
            </ng-container>
            <ng-container *ngIf="value === 'edit' ">
              <td mat-cell *matCellDef="let element"> 
                <button class="action-btn edit" (click)="emitEditObject(element[value])"><mat-icon>edit</mat-icon></button>
              </td>
            </ng-container>
            <ng-container *ngIf="value === 'remove' ">
              <td mat-cell *matCellDef="let element"> 
                <button class="action-btn remove" (click)="emitRemoveObject(element[value])"><mat-icon>delete</mat-icon></button>
              </td>
            </ng-container>
            <ng-container *ngIf="value === 'accept' ">
              <td mat-cell *matCellDef="let element"> 
                <button class="action-btn action-btn" (click)="emitEditObject(element[value])"><mat-icon>done_all</mat-icon></button>
              </td>
            </ng-container>
            <ng-container *ngIf="value !== 'actions'  && value !== 'edit' && value !== 'remove' && value !== 'accept' ">
              <td mat-cell *matCellDef="let element"> {{ element[value] }} </td>
            </ng-container>
        </ng-container>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" [pageSize]="5" showFirstLastButtons class="paginator">
  </mat-paginator>
